Bug Hunting Session
Bug 49453 - Template wizard doesn't work with JRE7 64-bit on Win7 64-bit
Summary: Template wizard doesn't work with JRE7 64-bit on Win7 64-bit
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Java-Runtime-JRE
  Show dependency treegraph
 
Reported: 2012-05-03 15:10 UTC by Youri Tomiline
Modified: 2016-10-16 10:46 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Youri Tomiline 2012-05-03 15:10:39 UTC
Problem description: 

Steps to reproduce:
1. Install latest JRE7 64bit on win7 64 bit 
2. Open LibreOffice Start Center
3. Select JRE 7 in tools->options->LibreOffice->Java, check Use a Java runtime environment, click Ok
4. Try to run any template wizard from file->wizards->Letter/Fax/Agenda/etc.

Current behavior:
JRE is corrupt error, no wizard appears

Expected behavior:
Works as with JRE 6

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/535.19 (KHTML, like Gecko) Chrome/18.0.1025.168 Safari/535.19
Comment 1 Jean-Baptiste Faure 2012-05-06 10:36:24 UTC
I do not reproduce with LO 3.5.3.2  nor the current master (Build ID: 32af02b) under Ubuntu 11.10 x86_64.
Probably a "MS-Windows only" issue. Set platform accordingly.

Best regards. JBF
Comment 2 Julien Nabet 2013-01-02 13:11:48 UTC
There have been some bugs between LO and jre 1.7.
Could you give a try to last LO version (3.6.4.3)? (make sure you have last update of jre 1.7)
Perhaps you'll have to rename your LO profile. (see https://wiki.documentfoundation.org/UserProfile)
Comment 3 QA Administrators 2013-09-24 01:54:40 UTC Comment hidden (obsolete)
Comment 4 Kumāra 2013-10-07 04:30:10 UTC
JRE7 64bit is incompatible with LibO for Windows, which is only available in 32bit. (Same with the Mac version.)

I think it is IMPORTANT to make this explicit at the download page.
Comment 5 Julien Nabet 2013-10-09 20:59:51 UTC
Michael: If I'm not mistaking, we can't produce LO in 64 for Windows. If it's still true, perhaps we should highlight the fact the Java 32 only must be used on Windows on LO website, what do you think?
Comment 6 Kumāra 2013-10-10 02:23:58 UTC
I've revised the summary as the issue is independent of any particular JRE update.
Comment 7 Kumāra 2013-10-10 03:01:43 UTC
(In reply to comment #5)
> Michael: If I'm not mistaking, we can't produce LO in 64 for Windows. If
> it's still true, perhaps we should highlight the fact the Java 32 only must
> be used on Windows on LO website, what do you think?

I wouldn't say "can't", but as it is, there's no 64-bit LO for Windows. Agree that the least of the "fix" is to highlight that LO for Windows cannot work with JRE7 64-bit. This should be made clear on the download page.

It's okay to install it anyway, but if you use anything in LO, extensions included (such as LanguageTool, which I use for grammar checking), that depends on JRE, you need to have the 32-bit version of JRE installed.

In my experience, not having the right version causes a wrong error message: JRE is Defective. After clicking OK, an empty Document Recovery dialog box pops up! Clicking OK restarted LO, and the whole thing repeats over and over till I terminate the processes with Task Manager.

Imagine a novice facing this situation. So, I stronger recommend highlighting that LO for Windows cannot work with JRE7 64-bit.
Comment 8 Michael Meeks 2013-10-10 08:58:12 UTC
So - this fixed in 4.1 where all those wizards are ported to Python - so should no longer be an issue :-) It'd be great to close out similar bug reports around the JRE and wizards.